package com.mortals.xhx.module.certificate.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.certificate.dao.CertificateIndustryDao;
import com.mortals.xhx.module.certificate.model.CertificateIndustryEntity;
import com.mortals.xhx.module.certificate.model.CertificateIndustryTreeSelect;

import java.util.List;

/**
 * CertificateIndustryService
 * <p>
 * 行业目录 service接口
 *
 * @author zxfei
 * @date 2022-10-14
 */
public interface CertificateIndustryService extends ICRUDService<CertificateIndustryEntity, Long> {

    CertificateIndustryDao getDao();
    /**
     * 是否存在行业目录节点
     *
     * @param certificateIndustryId 行业目录ID
     * @return 结果
     */
    boolean hasChildByCertificateIndustryId(Long certificateIndustryId);


    /**
     * 构建前端所需要下拉树结构
     *
     * @param certificateIndustryList 行业目录列表
     * @return 下拉树结构列表
     */
    List<CertificateIndustryTreeSelect> buildCertificateIndustryTreeSelect(List<CertificateIndustryEntity> certificateIndustryList);

    /**
     * 根据父id查询子节点
     *
     * @param parentId
     * @param context
     * @return
     */
    List<CertificateIndustryTreeSelect> getListByParentId(Long parentId, Context context);

    /**
     * 根据父id查询子节点
     *
     * @param parentId
     * @param context
     * @return
     */
    List<CertificateIndustryTreeSelect> getAllListByParentId(Long parentId, Context context);


}